diff --git a/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/soc/j721e/lbist_defs.c b/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/soc/j721e/lbist_defs.c
index b4ceb825bfd809a84d07d33d922267e371207fb0..4322ba79dafa157cf1e39ba3ece7ca6b46bf48d9 100755
--- a/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/soc/j721e/lbist_defs.c
+++ b/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/soc/j721e/lbist_defs.c
@@ -69,10 +69,12 @@
 /* ========================================================================== */
 /*                             Include Files                                  */
 /* ========================================================================== */
-#include <stdbool.h>
-#include <ti/csl/csl_types.h>
-#include <ti/csl/csl_lbist.h>
-#include <ti/csl/soc.h>
+#include <stdint.h>
+#include <string.h>
+#include <sdl_types.h>
+#include <soc.h>
+#include <src/sdl/sdl_lbist.h>
+#include <ti/drv/uart/UART_stdio.h>
 #include <ti/drv/sciclient/sciclient.h>
 
 #include "lbist_utils.h"
@@ -82,44 +84,17 @@
 /*                           Macros & Typedefs                                */
 /* ========================================================================== */
 
-/* LBIST clocks should target 200MHz for each core */
-
-/* Lbist Parameters */
-#define LBIST_DC_DEF                   (0x3u)
-#define LBIST_DIVIDE_RATIO             (0x02u)
-#define LBIST_STATIC_PC_DEF            (0x3fffu)
-#define LBIST_RESET_PC_DEF             (0x0fu)
-#define LBIST_SET_PC_DEF               (0x00u)
-#define LBIST_SCAN_PC_DEF              (0x08u)
-#define LBIST_PRPG_DEF                 (0x1fffffffffffffu)
-
-/*
-* LBIST setup parameters for each core
-*/
-#define LBIST_MAIN_R5_1_STATIC_PC_DEF  LBIST_STATIC_PC_DEF
-#define LBIST_MAIN_R5_2_STATIC_PC_DEF  LBIST_STATIC_PC_DEF
-#define LBIST_C7X_STATIC_PC_DEF        (2816)
-#define LBIST_A72_STATIC_PC_DEF        (12288)
-#define LBIST_DMPAC_STATIC_PC_DEF      (6272)
-#define LBIST_VPAC_STATIC_PC_DEF       (5056)
-
-/*
-* LBIST expected MISR's (using parameters above)
-*/
-#define MAIN_R5_MISR_EXP_VAL           (0xad7f4501)
-#define A72_MISR_EXP_VAL               (0xdd5cd3b3)
-#define C7X_MISR_EXP_VAL               (0xd67bfff1)
-#define VPAC_MISR_EXP_VAL              (0x18b373bf)
-#define DMPAC_MISR_EXP_VAL             (0xf22e52b5)
-
-#define LBIST_MAX_TIMEOUT_VALUE        10000000u
-
 #define A72_NUM_AUX_DEVICES            1
 
+/* HW POST run status definitions */
+#define LBIST_POST_COMPLETED_SUCCESS_STR      "SDL_LBIST_POST_COMPLETED_SUCCESS"
+#define LBIST_POST_COMPLETED_FAILURE_STR      "SDL_LBIST_POST_COMPLETED_FAILURE"
+#define LBIST_POST_ATTEMPTED_TIMEOUT_STR      "SDL_LBIST_POST_TIMEOUT"
+#define LBIST_POST_NOT_RUN_STR                "SDL_LBIST_POST_NOT_RUN"
+
 /* ========================================================================== */
 /*                 Internal Function Declarations                             */
 /* ========================================================================== */
-void LBIST_eventHandler(uint32_t coreIndex);
 
 /* ========================================================================== */
 /*                         Structure Declarations                             */
@@ -130,6 +105,7 @@ void LBIST_eventHandler(uint32_t coreIndex);
 /* ========================================================================== */
 /*                          Function Declarations                             */
 /* ========================================================================== */
+char * LBIST_getPostStatusString(SDL_LBIST_postStatus postStatus);
 
 /* ========================================================================== */
 /*                            Global Variables                                */
@@ -146,193 +122,101 @@ LBIST_TestHandle_t LBIST_TestHandleArray[LBIST_MAX_CORE_INDEX+1] =
  /* HW POST - DMSC - Checks MISR results only */
  {
   .coreName               = "HWPOST - DMSC",
-  .pLBISTRegs             = (CSL_lbistRegs *)(CSL_DMSC_LBIST_BASE),
-  .pLBISTSig              = (uint32_t *)(CSL_DMSC_LBIST_SIG),
-  .doneFlag               = false,                    /* Initialize done flag */
   .numAuxDevices          = 0u,                       /* No Aux devices */
   .hwPostCoreCheck        = true,
   .hwPostCoreNum          = LBIST_POST_CORE_DMSC,
-  .handler                = NULL,                     /* No LBIST event handler */
  },
  /* HW POST - MCU - Checks MISR results only */
  {
   .coreName               = "HWPOST - MCU",
-  .pLBISTRegs             = (CSL_lbistRegs *)(CSL_MCU_LBIST_BASE),
-  .pLBISTSig              = (uint32_t *)(CSL_MCU_LBIST_SIG),
-  .doneFlag               = false,                    /* Initialize done flag */
   .numAuxDevices          = 0u,                       /* No Aux devices */
   .hwPostCoreCheck        = true,
   .hwPostCoreNum          = LBIST_POST_CORE_MCU,
-  .handler                = NULL,                     /* No LBIST event handler */
  },
  /* Main R5F 0 */
  {
   .coreName               = "Main R5F0-0",
+  .instance               = SDL_LBIST_INST_MAINR5F0,
   .secondaryCoreNeeded    = true,             /* Secondary core needed */
   .wfiCheckNeeded         = false,            /* wfi check needed */
   .secCoreName            = "Main R5F1-0",    /* Secondary core */
-  .pLBISTRegs             = (CSL_lbistRegs *)(CSL_MAIN_R5F0_LBIST_BASE),
-  .pLBISTSig              = (uint32_t *)(CSL_MAIN_R5F0_LBIST_SIG),
-  .expectedMISR           = MAIN_R5_MISR_EXP_VAL,           /* Expected signature for main R5 0*/
   .cpuStatusFlagMask      = TISCI_MSG_VAL_PROC_BOOT_STATUS_FLAG_R5_WFI, /* Expected boot status value for wfi */
-  .handler                = LBIST_eventHandler,             /* LBIST event handler */
-  .interruptNumber        = CSLR_MCU_R5FSS0_CORE0_INTR_GLUELOGIC_MAIN_PULSAR0_LBIST_GLUE_DFT_LBIST_BIST_DONE_0, /* BIST DONE interrupt number */
   .tisciProcId            = SCICLIENT_PROC_ID_R5FSS0_CORE0, /* Main R5F core 0 Proc Id */
   .tisciSecProcId         = SCICLIENT_PROC_ID_R5FSS0_CORE1, /* Main R5F core 1 Proc Id */
   .tisciDeviceId          = TISCI_DEV_R5FSS0_CORE0,         /* Main R5F core 0 Device Id */
   .tisciSecDeviceId       = TISCI_DEV_R5FSS0_CORE1,         /* Main R5F core 1 Device Id */
-  .doneFlag               = false,                          /* Initialize done flag */
   .numAuxDevices          = 0u,                       /* No Aux devices */
-  .LBISTConfig = {
-      .dc_def        = LBIST_DC_DEF,
-      .divide_ratio  = LBIST_DIVIDE_RATIO,
-      .static_pc_def = LBIST_STATIC_PC_DEF,
-      .set_pc_def    = LBIST_SET_PC_DEF,
-      .reset_pc_def  = LBIST_RESET_PC_DEF,
-      .scan_pc_def   = LBIST_SCAN_PC_DEF,
-      .prpg_def      = LBIST_PRPG_DEF,
-  },
  },
-  /* Main R5F 1 */
+ /* Main R5F 1 */
  {
   .coreName               = "Main R5F1-0",
+  .instance               = SDL_LBIST_INST_MAINR5F1,
   .secondaryCoreNeeded    = true,            /* Secondary core needed */
   .wfiCheckNeeded         = false,           /* wfi check needed */
   .secCoreName            = "Main R5F1-1",   /* Secondary core */
-  .pLBISTRegs             = (CSL_lbistRegs *)(CSL_MAIN_R5F1_LBIST_BASE),
-  .pLBISTSig              = (uint32_t *)(CSL_MAIN_R5F1_LBIST_SIG),
-  .expectedMISR           = MAIN_R5_MISR_EXP_VAL,           /* Expected signature Main R5 1*/
   .cpuStatusFlagMask      = TISCI_MSG_VAL_PROC_BOOT_STATUS_FLAG_R5_WFI, /* Expected boot status value for wfi */
-  .handler                = LBIST_eventHandler,             /* LBIST event handler */
-  .interruptNumber        = CSLR_MCU_R5FSS0_CORE0_INTR_GLUELOGIC_MAIN_PULSAR1_LBIST_GLUE_DFT_LBIST_BIST_DONE_0,/* BIST DONE interrupt number */
   .tisciProcId            = SCICLIENT_PROC_ID_R5FSS1_CORE0, /* Main R5F core 0 Proc Id */
   .tisciSecProcId         = SCICLIENT_PROC_ID_R5FSS1_CORE1, /* Main R5F core 1 Proc Id */
   .tisciDeviceId          = TISCI_DEV_R5FSS1_CORE0,         /* Main R5F core 0 Device id */
   .tisciSecDeviceId       = TISCI_DEV_R5FSS1_CORE1,         /* Main R5F core 1 Device id */
   .numAuxDevices          = 0u,                             /* No Aux devices */
-  .doneFlag               = false,                          /* Initialize done flag */
-  .LBISTConfig = {
-      .dc_def        = LBIST_DC_DEF,
-      .divide_ratio  = LBIST_DIVIDE_RATIO,
-      .static_pc_def = LBIST_STATIC_PC_DEF,
-      .set_pc_def    = LBIST_SET_PC_DEF,
-      .reset_pc_def  = LBIST_RESET_PC_DEF,
-      .scan_pc_def   = LBIST_SCAN_PC_DEF,
-      .prpg_def      = LBIST_PRPG_DEF,
-  },
  },
  /* C7x */
  {
   .coreName               = "C7x ",
+  .instance               = SDL_LBIST_INST_C7X,
   .secondaryCoreNeeded    = false,    /* Secondary core needed */
   .wfiCheckNeeded         = false,    /* wfi check needed */
   .secCoreName            = "None",   /* Secondary core */
-  .pLBISTRegs             = (CSL_lbistRegs *)(CSL_C7X_LBIST_BASE),
-  .pLBISTSig              = (uint32_t *)(CSL_C7X_LBIST_SIG),
-  .expectedMISR           = C7X_MISR_EXP_VAL,          /* Expected signature for C7x*/
   .cpuStatusFlagMask      = TISCI_MSG_VAL_PROC_BOOT_STATUS_FLAG_R5_WFI, /* Expected boot status value for wfi */
-  .handler                = LBIST_eventHandler,        /* LBIST event handler */
-  .interruptNumber        = CSLR_MCU_R5FSS0_CORE0_INTR_COMPUTE_CLUSTER0_C7X_4_DFT_LBIST_DFT_LBIST_BIST_DONE_0,/* BIST DONE interrupt number */
   .tisciProcId            = SCICLIENT_PROC_ID_C71SS0,  /* C7x Proc Id */
   .tisciSecProcId         = 0,
   .tisciDeviceId          = TISCI_DEV_C71SS0,          /* C7x Device Id */
   .tisciSecDeviceId       = 0,
   .numAuxDevices          = 0u,                        /* No Aux devices */
-  .doneFlag               = false,                     /* Initialize done flag */
-  .LBISTConfig = {
-      .dc_def        = LBIST_DC_DEF,
-      .divide_ratio  = LBIST_DIVIDE_RATIO,
-      .static_pc_def = LBIST_C7X_STATIC_PC_DEF,
-      .set_pc_def    = LBIST_SET_PC_DEF,
-      .reset_pc_def  = LBIST_RESET_PC_DEF,
-      .scan_pc_def   = LBIST_SCAN_PC_DEF,
-      .prpg_def      = LBIST_PRPG_DEF,
-  },
  },
  /* VPAC */
  {
   .coreName               = "VPAC",
+  .instance               = SDL_LBIST_INST_VPAC,
   .secondaryCoreNeeded    = false,           /* Secondary core needed */
   .wfiCheckNeeded         = false,           /* wfi check needed */
   .secCoreName            = "None",          /* Secondary core */
-  .pLBISTRegs             = (CSL_lbistRegs *)(CSL_VPAC_LBIST_BASE),
-  .pLBISTSig              = (uint32_t *)(CSL_VPAC_LBIST_SIG),
-  .expectedMISR           = VPAC_MISR_EXP_VAL,                          /* Expected signature for VPAC */
   .cpuStatusFlagMask      = TISCI_MSG_VAL_PROC_BOOT_STATUS_FLAG_R5_WFI, /* Expected boot status value for wfi */
-  .handler                = LBIST_eventHandler,                         /* LBIST event handler */
-  .interruptNumber        = CSLR_MCU_R5FSS0_CORE0_INTR_GLUELOGIC_VPAC_LBIST_GLUE_DFT_LBIST_BIST_DONE_0,/* BIST DONE interrupt number */
   .tisciProcId            = 0,                /* No proc id */
   .tisciSecProcId         = 0,                /* No Proc Id */
   .tisciDeviceId          = TISCI_DEV_VPAC0,  /* VPAC Device Id */
   .tisciSecDeviceId       = 0,
   .numAuxDevices          = 0u,               /* No Aux devices */
-  .doneFlag               = false,            /* Initialize done flag */
-  .LBISTConfig = {
-      .dc_def        = LBIST_DC_DEF,
-      .divide_ratio  = LBIST_DIVIDE_RATIO,
-      .static_pc_def = LBIST_VPAC_STATIC_PC_DEF,
-      .set_pc_def    = LBIST_SET_PC_DEF,
-      .reset_pc_def  = LBIST_RESET_PC_DEF,
-      .scan_pc_def   = LBIST_SCAN_PC_DEF,
-      .prpg_def      = LBIST_PRPG_DEF,
-  },
  },
  /* DMPAC */
  {
   .coreName               = "DMPAC",
+  .instance               = SDL_LBIST_INST_DMPAC,
   .secondaryCoreNeeded    = false,            /* Secondary core needed */
   .wfiCheckNeeded         = false,            /* wfi check needed */
   .secCoreName            = "None",           /* Secondary core */
-  .pLBISTRegs             = (CSL_lbistRegs *)(CSL_DMPAC_LBIST_BASE),
-  .pLBISTSig              = (uint32_t *)(CSL_DMPAC_LBIST_SIG),
-  .expectedMISR           = DMPAC_MISR_EXP_VAL,                         /* Expected signature for DMPAC */
   .cpuStatusFlagMask      = TISCI_MSG_VAL_PROC_BOOT_STATUS_FLAG_R5_WFI, /* Expected boot status value for wfi */
-  .handler                = LBIST_eventHandler,                         /* LBIST event handler */
-  .interruptNumber        = CSLR_MCU_R5FSS0_CORE0_INTR_GLUELOGIC_DMPAC_LBIST_GLUE_DFT_LBIST_BIST_DONE_0,/* BIST DONE interrupt number */
   .tisciProcId            = 0,                /* No proc id */
   .tisciSecProcId         = 0,                /* No Proc Id */
   .tisciDeviceId          = TISCI_DEV_DMPAC0, /* DMPAC Device Id */
   .tisciSecDeviceId       = 0,
   .numAuxDevices          = 0u,               /* No Aux devices */
-  .doneFlag               = false,            /* Initialize done flag */
-  .LBISTConfig = {
-      .dc_def        = LBIST_DC_DEF,
-      .divide_ratio  = LBIST_DIVIDE_RATIO,
-      .static_pc_def = LBIST_DMPAC_STATIC_PC_DEF,
-      .set_pc_def    = LBIST_SET_PC_DEF,
-      .reset_pc_def  = LBIST_RESET_PC_DEF,
-      .scan_pc_def   = LBIST_SCAN_PC_DEF,
-      .prpg_def      = LBIST_PRPG_DEF,
-  },
  },
  /* A72 */
  {
   .coreName               = "A72 core 0",
+  .instance               = SDL_LBIST_INST_A72,
   .secondaryCoreNeeded    = true,           /* Secondary core needed */
   .wfiCheckNeeded         = false,          /* wfi check needed */
   .secCoreName            = "A72 core 1",   /* Secondary core */
-  .pLBISTRegs                = (CSL_lbistRegs *)(CSL_A72_LBIST_BASE),
-  .pLBISTSig              = (uint32_t *)(CSL_A72_LBIST_SIG),
-  .expectedMISR           = A72_MISR_EXP_VAL,                           /* Expected signature for A72 */
   .cpuStatusFlagMask      = TISCI_MSG_VAL_PROC_BOOT_STATUS_FLAG_R5_WFI, /* Expected boot status value for wfi */
-  .handler                = LBIST_eventHandler,                         /* LBIST event handler */
-  .interruptNumber        = CSLR_MCU_R5FSS0_CORE0_INTR_COMPUTE_CLUSTER0_ARM0_DFT_LBIST_DFT_LBIST_BIST_DONE_0,/* BIST DONE interrupt number */
   .tisciProcId            = SCICLIENT_PROC_ID_A72SS0_CORE0, /* A72 core 0 Proc Id */
   .tisciSecProcId         = SCICLIENT_PROC_ID_A72SS0_CORE1, /* A72 core 1 Proc Id */
   .tisciDeviceId          = TISCI_DEV_A72SS0_CORE0,  /* A72 core 0 Device Id */
   .tisciSecDeviceId       = TISCI_DEV_A72SS0_CORE1,  /* A72 core 1 Device Id */
   .numAuxDevices          = A72_NUM_AUX_DEVICES,     /* Number of Aux devices */
   .auxDeviceIdsP          = &LBIST_A72AuxDevList[0], /* Array of Aux device ids */
-  .doneFlag               = false,                   /* Initialize done flag */
-  .LBISTConfig = {
-      .dc_def        = LBIST_DC_DEF,
-      .divide_ratio  = LBIST_DIVIDE_RATIO,
-      .static_pc_def = LBIST_A72_STATIC_PC_DEF,
-      .set_pc_def    = LBIST_SET_PC_DEF,
-      .reset_pc_def  = LBIST_RESET_PC_DEF,
-      .scan_pc_def   = LBIST_SCAN_PC_DEF,
-      .prpg_def      = LBIST_PRPG_DEF,
-  },
  },
 
 };
@@ -346,21 +230,32 @@ LBIST_TestHandle_t LBIST_TestHandleArray[LBIST_MAX_CORE_INDEX+1] =
 /*                          Function Definitions                              */
 /* ========================================================================== */
 
-void LBIST_eventHandler( uint32_t coreIndex )
+char * LBIST_getPostStatusString(SDL_LBIST_postStatus postStatus)
 {
-    int32_t status;
-    Bool isLBISTDone = CSL_FALSE;
-    CSL_lbistRegs *pLBISTRegs = LBIST_TestHandleArray[coreIndex].pLBISTRegs;
-
-    /* Double check if the LBIST done flag is set */
-    status = CSL_LBIST_isDone(pLBISTRegs, &isLBISTDone);
-    if ((status == CSL_PASS) && (isLBISTDone == CSL_TRUE))
+    if (postStatus == SDL_LBIST_POST_NOT_RUN)
     {
-        LBIST_TestHandleArray[coreIndex].doneFlag = true;
-        /* Need to pull run down to low to clear the done interrupt */
-        CSL_LBIST_stop( pLBISTRegs );
+        return LBIST_POST_NOT_RUN_STR;
     }
-    return;
+    else if (postStatus == SDL_LBIST_POST_TIMEOUT)
+    {
+        return LBIST_POST_ATTEMPTED_TIMEOUT_STR;
+    }
+    else if (postStatus == SDL_LBIST_POST_COMPLETED_FAILURE)
+    {
+        return LBIST_POST_COMPLETED_FAILURE_STR;
+    }
+    else if (postStatus == SDL_LBIST_POST_COMPLETED_SUCCESS)
+    {
+        return LBIST_POST_COMPLETED_SUCCESS_STR;
+    }
+    return NULL;
+}
 
+void LBIST_printPostStatus(SDL_LBIST_postResult *result)
+{
+    UART_printf("    HW POST MCU Status : %s\n", (LBIST_getPostStatusString(result->mcuPostStatus)) ? : "Invalid");
+    UART_printf("    HW POST DMSC Status : %s\n", (LBIST_getPostStatusString(result->dmscPostStatus)) ? : "Invalid");
+
+    return;
 }
 
diff --git a/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/soc/j721e/lbist_defs.h b/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/soc/j721e/lbist_defs.h
index cdc26d20b155b22c13372f524f6b7142f3d0e2af..5f5b169346b6a85a49abb421969cda9229bb084d 100644
--- a/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/soc/j721e/lbist_defs.h
+++ b/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/soc/j721e/lbist_defs.h
@@ -56,23 +56,15 @@ typedef struct LBIST_TestHandle_s
 {
     /** Core name */
     char coreName[16];
+    /** Core instance */
+    SDL_LBIST_inst instance;
     /** Indicate secondary core need to be handled */
     bool secondaryCoreNeeded;
     bool wfiCheckNeeded;
     /** Secondary core name */
     char secCoreName[16];
-    /** Pointer to LBIST register map */
-    CSL_lbistRegs *pLBISTRegs;
-    /** Pointer to LBIST signature */
-    uint32_t *pLBISTSig;
-    /** Expected signature */
-    uint32_t expectedMISR;
     /** Mask used to check CPU Status */
     uint32_t cpuStatusFlagMask;
-    /** LBIST event handler function */
-    LBIST_handlerPtr handler;
-    /** Interrupt number for error event */
-    uint32_t interruptNumber;
     /** Core Processor Id */
     uint32_t tisciProcId;
     /** Secondary Core Processor Id */
@@ -81,10 +73,6 @@ typedef struct LBIST_TestHandle_s
     uint32_t tisciDeviceId;
     /** Secondary Core Device Id */
     uint32_t tisciSecDeviceId;
-    /** Flag to indicate test done, will be set when interrupt event comes */
-    volatile bool doneFlag;
-    /** Configuration for LBIST test */
-    CSL_LBIST_config_t LBISTConfig;
     /** Number of Auxiliary devices needed for the test */
     uint32_t      numAuxDevices;
     /** List of Auxiliary devices needed for the test */
@@ -103,8 +91,7 @@ extern LBIST_TestHandle_t LBIST_TestHandleArray[LBIST_MAX_CORE_INDEX+1];
 /* ========================================================================== */
 /*                          Function Declarations                             */
 /* ========================================================================== */
-
-/* None */
+void LBIST_printPostStatus(SDL_LBIST_postResult *result);
 
 #ifdef __cplusplus
 }
